//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <FMX.Controls.hpp>
#include <FMX.Forms.hpp>
#include "FBarcode.hpp"
#include <FMX.Edit.hpp>
#include <FMX.ListBox.hpp>
#include <FMX.StdCtrls.hpp>
#include <FMX.Types.hpp>
#include <FMX.Controls.Presentation.hpp>
#include <FMX.ExtCtrls.hpp>
#include <FMX.Layouts.hpp>
#include <FMX.Memo.hpp>
#include <FMX.Objects.hpp>
#include <FMX.ScrollBox.hpp>
#include <FMX.Colors.hpp>
#include <FMX.Dialogs.hpp>
#include <FMX.EditBox.hpp>
#include <FMX.SpinBox.hpp>
#include <FMX.Memo.Types.hpp>
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
    TFBarcode *Barcode;
    TButton *ButtonSaveBmp;
    TButton *ButtonSaveEps;
    TButton *ButtonSaveGif;
    TButton *ButtonSavePcx;
    TButton *ButtonSaveSvg;
    TButton *ButtonSaveTxt;
    TComboBox *ComboBoxRotation;
    TComboBox *ComboBoxSymbology;
    TComboColorBox *ComboColorBoxBackColor;
    TComboColorBox *ComboColorBoxForeColor;
    TCheckBox *CheckBoxBars;
    TCheckBox *CheckBoxBoldText;
    TCheckBox *CheckBoxBox;
    TCheckBox *CheckBoxDotty;
    TCheckBox *CheckBoxShowText;
    TCheckBox *CheckBoxSmallText;
    TImage *Image;
    TLabel *LabelBackColor;
    TLabel *LabelBorder;
    TLabel *LabelDotSize;
    TLabel *LabelForeColor;
    TLabel *LabelHeight;
    TLabel *LabelRotation;
    TLabel *LabelScale;
    TLabel *LabelSymbology;
    TLabel *LabelWhiteSpace;
    TMemo *MemoInputText;
    TMemo *MemoPrimaryMessage;
    TSaveDialog *SaveDialog;
    TSpinBox *SpinBoxBorder;
    TSpinBox *SpinBoxDotSize;
    TSpinBox *SpinBoxHeight;
    TSpinBox *SpinBoxScale;
    TSpinBox *SpinBoxWhiteSpace;
    TStatusBar *StatusBar;
    TLabel *LabelStatus;
	void __fastcall ComboBoxSymbologyChange(TObject *Sender);
    void __fastcall ComboColorBoxForeColorChange(TObject *Sender);
    void __fastcall ComboColorBoxBackColorChange(TObject *Sender);
    void __fastcall SpinBoxBorderChange(TObject *Sender);
    void __fastcall SpinBoxWhiteSpaceChange(TObject *Sender);
    void __fastcall SpinBoxScaleChange(TObject *Sender);
    void __fastcall SpinBoxDotSizeChange(TObject *Sender);
    void __fastcall SpinBoxHeightChange(TObject *Sender);
    void __fastcall ComboBoxRotationChange(TObject *Sender);
    void __fastcall CheckBoxShowTextChange(TObject *Sender);
    void __fastcall CheckBoxSmallTextChange(TObject *Sender);
    void __fastcall CheckBoxBoldTextChange(TObject *Sender);
    void __fastcall CheckBoxBarsChange(TObject *Sender);
    void __fastcall CheckBoxBoxChange(TObject *Sender);
    void __fastcall CheckBoxDottyChange(TObject *Sender);
    void __fastcall ButtonSaveBmpClick(TObject *Sender);
    void __fastcall ButtonSaveEpsClick(TObject *Sender);
    void __fastcall ButtonSaveGifClick(TObject *Sender);
    void __fastcall ButtonSavePcxClick(TObject *Sender);
    void __fastcall ButtonSaveTxtClick(TObject *Sender);
    void __fastcall ButtonSaveSvgClick(TObject *Sender);
    void __fastcall MemoPrimaryMessageChangeTracking(TObject *Sender);
    void __fastcall MemoInputTextChangeTracking(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
  bool Initialized;
	void __fastcall ShowBarcode();
public:		// User declarations
	__fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
